summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin261869 -> 261874 bytes
-rw-r--r--dev-python/astroid/Manifest2
-rw-r--r--dev-python/astroid/astroid-2.12.13.ebuild60
-rw-r--r--dev-python/cheroot/Manifest3
-rw-r--r--dev-python/cheroot/cheroot-9.0.0.ebuild79
-rw-r--r--dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch21
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.58.0.ebuild77
-rw-r--r--dev-python/numpy/Manifest5
-rw-r--r--dev-python/numpy/numpy-1.23.5.ebuild187
-rw-r--r--dev-python/pycairo/Manifest2
-rw-r--r--dev-python/pycairo/pycairo-1.22.0.ebuild56
-rw-r--r--dev-python/pylint/Manifest2
-rw-r--r--dev-python/pylint/pylint-2.15.6.ebuild85
-rw-r--r--dev-python/python-debian/Manifest2
-rw-r--r--dev-python/python-debian/python-debian-0.1.49.ebuild48
-rw-r--r--dev-python/pytools/Manifest2
-rw-r--r--dev-python/pytools/pytools-2022.1.13.ebuild34
-rw-r--r--dev-python/rpyc/Manifest2
-rw-r--r--dev-python/rpyc/rpyc-5.2.3_p1.ebuild67
-rw-r--r--dev-python/tempora/Manifest2
-rw-r--r--dev-python/tempora/tempora-5.1.0.ebuild33
-rw-r--r--dev-python/terminaltables/Manifest4
-rw-r--r--dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild9
-rw-r--r--dev-python/terminaltables/terminaltables-9999.ebuild9
25 files changed, 789 insertions, 4 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 43f220c420bb..af4d47ea257e 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 7d61e69427a0..50815d324139 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,3 +1,5 @@
DIST astroid-2.12.12.gh.tar.gz 437277 BLAKE2B a1f549db526b1012e76e1da480e779a35971e8985f452eaf5ce1bc6735c5210db5c2282685dbaa2f1720a1e1fa6cf6f2152fbb8c782243cd11e09acc427774da SHA512 61047c1aa31b5b0a80c604194a91341c474062e2f1094316ff9b03641ecfe3ddf25b4a3b26356561f9c16d8b5599694ecef275ce5846792a18bcc0a7ad3e720f
+DIST astroid-2.12.13.gh.tar.gz 437906 BLAKE2B c00462d44c9705dc5b46fc52915e6a44e53e840d5326427d235c9156bc4de58b184271338ebc10a4572e1aace8d4ababd3bd7e440a6ee585aa66d15dfe4117be SHA512 16d062b1a619663b157c4753f1744e56e7d0ef7cace12660feb7f6bc540e54be02638b52c1c877d3eb514e2d7423c4afc71e7d5464880bfd3724ff7ae6d7b90a
EBUILD astroid-2.12.12.ebuild 1809 BLAKE2B 989055cbea9fa3c74f80b54efe69005c1d9f802aa9c0b6c91105ed77dbafd3406e955e98c4acd8b51a5dfc5126bcef001fa00a8d6dce186cb8011ffcb1cd7a07 SHA512 46c0adf7b503d3716baadad6fc9fb1fe61dff5ca4e11c5225354cdd57b0afb1a05e66a8650dff8e76fdd45062e16ba89c639e24405238c175e6e715b4a3a313f
+EBUILD astroid-2.12.13.ebuild 1817 BLAKE2B 8e495b2ba1a5ba50cd82944562d02f279cb9915cff1487ae13e3d752f0341213cb2be6b7a0ad3c88c9a0e09258c8b007ee557fdccfe821fb38d818015a141030 SHA512 18156ef33b1c5bde959cad1afc1309435eec1049e631edece13070713988d76b9ebe5574a15d64fd3098e62a7d74c3c3d6c1ebf500f6811aa7f76d35389d2617
MISC metadata.xml 1143 BLAKE2B 1f6c4e004277eebed2e29cb935ef01e5f18fb0a526f99f0e875ae3815308dce0483b5274b4e23bed076464aa62a035937a7a3817e2d4a5fb9211b9043271e04c SHA512 56b07d0f08a49772661bc3d233cf1f628aa7c241c51b91d75dfbd44995e169d8ab5bbd99863d7b9b67792486346982a7b8eebefb462e7e212cd7dff920d80840
diff --git a/dev-python/astroid/astroid-2.12.13.ebuild b/dev-python/astroid/astroid-2.12.13.ebuild
new file mode 100644
index 000000000000..a7561581a64c
--- /dev/null
+++ b/dev-python/astroid/astroid-2.12.13.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ <dev-python/wrapt-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why it's broken
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/unittest_brain_dataclasses.py::test_pydantic_field
+ tests/unittest_brain.py::SixBrainTest::test_from_imports
+ tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # some problem with warnings (our options?)
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
+ tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index c63026c1447b..362343c08431 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1,4 +1,7 @@
AUX cheroot-8.6.0-remove-pypytools-dep.patch 2757 BLAKE2B 97628fd6590dbe41e34bf0b93bc1062c424097aeea26a86891e2d2fc049fb7ee7a990fc9b9d3dba9406bdd344e3c25cdd08907aaac11e64d78c73b3ccd9b3fa5 SHA512 ddc88d93c795ea25c56d0b2a1bfee1b0f9c900ec2594d69aa91c639575c86c1fb89accc95992587db76d5c4e438a34f2eceac480c60a5470aee5ecd996140e44
+AUX cheroot-9.0.0-remove-pypytools-dep.patch 731 BLAKE2B 9b0cd967e10d65a14ddc17d411f84e20641f73f89a0094be99f36c7c2924ee18e938ec3e7cd3852a90f6e2e0fb3efcec76652b0c6f2ab1d4b719769d822eab52 SHA512 5e3b9c8ed9ba6df645df9fa0eb9787f85ee01bf7a4dfa163c9d6ee281b65cab6303486af45f0b309f13b34e7567f11894048daf2cd1edc8bd1a1e594216317c3
DIST cheroot-8.6.0.tar.gz 134779 BLAKE2B 97d1a9bf0a8d72d3204972934aa3ac4c97246b413edebd9f38caa802a5343acc426f137addfdc0faec58f6af2d62bc22023e93b14e1b0b07f6be9ffb12e78306 SHA512 26e48c935fe32d4ce3cf6ae20b5b272416ca53bd8496527c2958ec2ebe87529c831f283ae900e13271b610e39531b682df0376935ecc3bcfcca11c299cd2a893
+DIST cheroot-9.0.0.tar.gz 152562 BLAKE2B 5f5dd172cfc8fdd1318b22fc27060444a34343b6b83bbda4bd40c16d7cb0568c356f5fd14b0a7cdc74895d6707077ec54fcae54fb29b0d16a7c06e2cd36b1ee7 SHA512 86ea0dd2cb4cde25f86b489b1d0bb27e3e7c1ba5449759ccecaae689cdcb349b968fd0c8fb8bc8273deff5e32a078bf40f4342f0c5a1f53bb8d2b968f44a453b
EBUILD cheroot-8.6.0-r1.ebuild 1872 BLAKE2B 4392d43c6eca572c07129963eef6d8ea0fed1a97dea212fe8eba15d1a12a9860e506a3ec1e41bc726272aae9a5228740ae8a02dfdb6b8e780c4bf8da3c5f05bf SHA512 d25b25098dd127bbf59f089b457599271e36eec82746e57b105934838133adab76fae1b65a7132fb129ac70eb62df4dbb982fa5e660e096ff0c75f3f05d68122
+EBUILD cheroot-9.0.0.ebuild 1969 BLAKE2B 0deffd50d152435a3171f587423f190663850c84184e0c9b7d5745949fd9af7bdef4c8f817ce4044b86e7f76e9573fab687a06341d4cd8c67c0b53a859a86d2a SHA512 58556ac85c2ae0d2e0eb9a264806ea59af91fe646440ff11575b089e45f1f8427668b47edf5c556709a5dc859fac1c3f7a3f541509f1b6e08180f5102c11f6e7
MISC metadata.xml 391 BLAKE2B 1c9c2af2c1a8bcd3f1c426a87d1a2a97fb88a9a30f9c2f1802b8885329277fcfde1deadf635e419cd7f85a5685639709be33aa746d9f7a04c3ac7d832d084b42 SHA512 c194e8bed8d082ed4ce3f2a7f608085fdcf2ab8b7c730e5c6ad7438cf177ed1892565cdff0feda564681f59bf6aefc327e3d24da0a543c0f043934af27873e95
diff --git a/dev-python/cheroot/cheroot-9.0.0.ebuild b/dev-python/cheroot/cheroot-9.0.0.ebuild
new file mode 100644
index 000000000000..f16d3e17d8a7
--- /dev/null
+++ b/dev-python/cheroot/cheroot-9.0.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="High-performance, pure-Python HTTP server used by CherryPy"
+HOMEPAGE="
+ https://cherrypy.dev/
+ https://pypi.org/project/cheroot/
+ https://github.com/cherrypy/cheroot/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/--cov/d' \
+ -e '/--testmon/d' \
+ -e '/--numproc/d' \
+ -i pytest.ini || die
+
+ # broken
+ sed -i -e '/False.*localhost/d' cheroot/test/test_ssl.py || die
+ # pypytools is py2 stuff
+ sed -i -e '/pypytools/d' cheroot/test/test_server.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pypytools, see above
+ cheroot/test/test_server.py::test_high_number_of_file_descriptors
+ )
+
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/pyopenssl[${PYTHON_USEDEP}]" ||
+ ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"
+ then
+ EPYTEST_IGNORE+=(
+ cheroot/test/test_ssl.py
+ )
+ fi
+
+ epytest -p no:flaky
+}
diff --git a/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
new file mode 100644
index 000000000000..8e79b2c776f4
--- /dev/null
+++ b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
@@ -0,0 +1,21 @@
+diff --git a/cheroot/test/test_server.py b/cheroot/test/test_server.py
+index 5e0a6832..6f480f40 100644
+--- a/cheroot/test/test_server.py
++++ b/cheroot/test/test_server.py
+@@ -12,8 +12,6 @@ import pytest
+ import requests
+ import requests_unixsocket
+
+-from pypytools.gc.custom import DefaultGc
+-
+ from .._compat import bton, ntob
+ from .._compat import IS_LINUX, IS_MACOS, IS_WINDOWS, SYS_PLATFORM
+ from ..server import IS_UID_GID_RESOLVABLE, Gateway, HTTPServer
+@@ -324,6 +322,7 @@ def test_peercreds_unix_sock_with_lookup(
+ assert peercreds_text_resp.text == expected_textcreds
+
+
++@pytest.mark.skip("pypytools not packaged")
+ @pytest.mark.skipif(
+ IS_WINDOWS,
+ reason='This regression test is for a Linux bug, '
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 60c491cffb5d..5361ff3c6f2d 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,8 +2,10 @@ DIST hypothesis-6.56.2.gh.tar.gz 9333277 BLAKE2B 6c75b48cd6e7300c05bd020003340aa
DIST hypothesis-6.56.3.gh.tar.gz 9333288 BLAKE2B 9608542d8dbe97fec147eae1f9b2f06af2b08e3cc0807fefcfa97b0a8c1aa30a15df9f1114a13f5c719701a4d13ab09a808d0d09e271d9e0d69168ebc4183af4 SHA512 f410455e77c6e9dc3b9003ef3d4c21bd204d85bc567dfd0d420986dc255d8c1ff9f41d809d837286f02064f546a08eff0f89389906ab7023581cc1f5a5d18947
DIST hypothesis-6.56.4.gh.tar.gz 9333399 BLAKE2B abe041212cff7ab1d6c2684706ae4d297bad160798152ce52dec9b5024a1aef2445947bb6e7c7fa69c1b3e9cd2e9335d7ac7f330e0910b987d3aa3f34f8c2f3e SHA512 80ce1d5c296fc304b4e1a09846db5e88d2f52a1d790a8717a2a4a506cdd08290392036c02339d3f9d8bf236866dbcd9256e543d0808f32896b172ed840165114
DIST hypothesis-6.57.1.gh.tar.gz 9334332 BLAKE2B 5516e9ff84f11909eadc7888f2727f13731ef9d3ad91c15666d5ee11d32bafbc9361171b35d31c5231fe50ac9a734eb3a8edd612ed3f47d3bd6f2a851f751a65 SHA512 3cb24416a10cc1a1419844565913f8bdd95063d12e9ea7cbed16e6583e5d7da8a83d34d1fdb4060cf190341d21947a58f5871f44bc45bc0e84316111d530251d
+DIST hypothesis-6.58.0.gh.tar.gz 9335693 BLAKE2B 8e72b1ddd2a0c3bd07e5e865147e0befc7bbb42eb16e02704dbb79372e94161b6cc8f1f989b8541331e8488244c3d07e87d118ee43ba07a123de31cdb7b58bbb SHA512 91f128f333144859331e9a841d47d8414964955e14071a49e3d4504a9c9970e5f737c9036be8f20bdda1e620bb428809301d1008bfbd4b0aaa05757abeb8687d
EBUILD hypothesis-6.56.2.ebuild 2132 BLAKE2B 46f1d1c0f69606e55673a002c305f72655f44ac456ea0e8cde03e7cfd12a074d915f00b29280637b150a4faa596dcd28e2527fc6762aa53893f245530c5a7eef SHA512 bb0602862ac4175e49605bb095ca8d9a027a964cda6e0cc51f03910f5186436646e25f25621cbfec777dbbf0e5fbb4f7a5a01ef646fc20bb84f75980daddf1b8
EBUILD hypothesis-6.56.3.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
EBUILD hypothesis-6.56.4.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
EBUILD hypothesis-6.57.1.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
+EBUILD hypothesis-6.58.0.ebuild 2140 BLAKE2B b805e367bbbe90dc2037a89f3488677ea9eed9052283c25a2562d3a5af85b73d2e11a2019cf64a4a8c8d7dd180f8636f03519b0681afb61a38a6057bc707d097 SHA512 dfeb6198d076546f2654edc67fd6f0fcfaf1cdc65385ad90e01901c54e06f565a48d23af2ca48d1acfcd91cfbdc2b5072fb211f2fe02237b2bb6935a0682d07c
MISC metadata.xml 756 BLAKE2B 26e40ab96ddcbd5751023e3c0cc9aa86e96d73ba02bca750ad15eb4301beb0318d3d694c54c2c2a2cb50937731af727411e8afb67e1a21e58e0ff611eeea9149 SHA512 cd48d35c5fe41aa9efcfea9eb7b2d78a4646658b5aab7533ca6492d4700032099fd34ca2dc45a6198c27351650c9e901c8b7c4d53ade2b56695d5e26ca371238
diff --git a/dev-python/hypothesis/hypothesis-6.58.0.ebuild b/dev-python/hypothesis/hypothesis-6.58.0.ebuild
new file mode 100644
index 000000000000..bbb3ede19663
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.58.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_11 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 7778bac6ff85..135edb3296c5 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -3,16 +3,21 @@ AUX numpy-1.22.4-py311.patch 1150 BLAKE2B b07b61133b70f59f350759d94fa45e9fe7ec6e
DIST numpy-1.22.4.zip 11458830 BLAKE2B c999a42119e8d71942e4df4802ea22eef6c1ab65e11ad1f8364dd811c3df0eae1c7499055e76b523dc011bc9574f4060e17ecc3ea8bd35f5247fa17e3e188364 SHA512 bb2993459157c43f8c419de98be1c832f108b4eb6b96e1d20f406eccd782681ad8d0f8653637962ac592abe7d75719c17678ec97f035f6c87d4c7f939a1a8a48
DIST numpy-1.23.3.tar.gz 10726039 BLAKE2B 4b6d38fc0363ea89f173a0cd65368b7c154b45f7f661098378f7ef31208008d5ff17ae58eab72bed921d166d630a4eca3441fc3097cd41a4a945b8f8180375cc SHA512 e690ea2906c91e567df2c801fbfe41652dabd37208faa99d6e068bda423dcc9f88be013478e9b6c1a339c36ef4c44b07a067d44e4e9c4b2e4f1344cbcb0598a9
DIST numpy-1.23.4.tar.gz 10728765 BLAKE2B bbac44cc8a09a36537e25f90833c2ad7d1e4025e7d3eebd3c73ae2f12f1109520b58d2a779324f542aa1f2787f8b6c50ea907eb5ab7b7b84ebe3f3342c3d8a09 SHA512 727ca8950b0fbd5670e939b1c9c5cea852781ec4254d56a1659a91dc0430fc10b01ffdd16e1bb28a62319f91029e087024f4c6298bfc859a6050bfb507edcff8
+DIST numpy-1.23.5.tar.gz 10731755 BLAKE2B d2ed6d359a51343a1618f64604e4d5c030115caa63f2aadf2fc150775630e40fbebaad28f5657faae1365264fd45bc9efb00854bf9cd393b7628c96d6fc87db9 SHA512 8f3ece76dbe79bc887275332d25f851ade2087de3026de5fb7ed793590b3e7d274f590357296e152373b4e9a245d4d563393ba7198bca6d44631b941acb89c2c
DIST numpy-html-1.22.4.zip 23724824 BLAKE2B 44ea3da0a703a024a629c8413dfffaf760458b185d19452da0e7e23c819e19833291e10ebd07bdda794077574b8852a368036dda8335c2753cd481740497502a SHA512 4077d9974bfd7f2c189025c3740350652e6f8e0b5727fbc9711a1c0118c1e4ecc281d4876baf1c6a5dc802d20178d6b04a2922f14e9c321cd3b68228b1e295c3
DIST numpy-html-1.23.3.zip 27964271 BLAKE2B 0aa26d7c39f2d6b119e404dfb9642967770881ee0d640157a9ed11d16f21cd43109bed3c08f89fda457ec470292d945e2bf8b2dab56e4b36192d5e8eb3757b44 SHA512 218a2e893816af767c7cedd1f2256e05f68e59491c29277c95de653a206aaff35c5fe3bc6afd6d6d5ea7957748ec565593eb30d004e36e94c894ea4a6884902a
DIST numpy-html-1.23.4.zip 27964271 BLAKE2B 0aa26d7c39f2d6b119e404dfb9642967770881ee0d640157a9ed11d16f21cd43109bed3c08f89fda457ec470292d945e2bf8b2dab56e4b36192d5e8eb3757b44 SHA512 218a2e893816af767c7cedd1f2256e05f68e59491c29277c95de653a206aaff35c5fe3bc6afd6d6d5ea7957748ec565593eb30d004e36e94c894ea4a6884902a
+DIST numpy-html-1.23.5.zip 27964271 BLAKE2B 0aa26d7c39f2d6b119e404dfb9642967770881ee0d640157a9ed11d16f21cd43109bed3c08f89fda457ec470292d945e2bf8b2dab56e4b36192d5e8eb3757b44 SHA512 218a2e893816af767c7cedd1f2256e05f68e59491c29277c95de653a206aaff35c5fe3bc6afd6d6d5ea7957748ec565593eb30d004e36e94c894ea4a6884902a
DIST numpy-ref-1.22.4.pdf 7537013 BLAKE2B 702398fddde349901f9303f4788a3ae3cc4bb78b4d310e169fcc6193fd62b33947c89ede45ba9aaea55e74f6a6abc755d3d94428adce9a8163678c6718aec2da SHA512 c1617817f94ccdfe2bbdebdc9c6869beefa1369d5ab0897c1573d8fb5cb3de153f90d5588aae84a0f498fba57ad6bc5c0c5c2c3aefb119e2913e4ddf007cc8e1
DIST numpy-ref-1.23.3.pdf 7715485 BLAKE2B 7fbb0ce29e86fc7cd4932a6a9f0221b579b6cae695231edfebf863e5b4c2920796d802ccf9ae3e05b331964ac7c4f51099578d91b6b7fb357c6de2110a5f7cba SHA512 6036c6a36f332b83f371c7530a6ba6f354b1334d667d2a52993a1e52aa9d94d524e216f768928a006c717ed4b4131879f6e491a294ecfd3a0d1b0f9f937a887a
DIST numpy-ref-1.23.4.pdf 7715485 BLAKE2B 7fbb0ce29e86fc7cd4932a6a9f0221b579b6cae695231edfebf863e5b4c2920796d802ccf9ae3e05b331964ac7c4f51099578d91b6b7fb357c6de2110a5f7cba SHA512 6036c6a36f332b83f371c7530a6ba6f354b1334d667d2a52993a1e52aa9d94d524e216f768928a006c717ed4b4131879f6e491a294ecfd3a0d1b0f9f937a887a
+DIST numpy-ref-1.23.5.pdf 7715485 BLAKE2B 7fbb0ce29e86fc7cd4932a6a9f0221b579b6cae695231edfebf863e5b4c2920796d802ccf9ae3e05b331964ac7c4f51099578d91b6b7fb357c6de2110a5f7cba SHA512 6036c6a36f332b83f371c7530a6ba6f354b1334d667d2a52993a1e52aa9d94d524e216f768928a006c717ed4b4131879f6e491a294ecfd3a0d1b0f9f937a887a
DIST numpy-user-1.22.4.pdf 3978348 BLAKE2B 87cc73cb1c406446eb9d86ea6cbaeac6ba13c7d2b2ffd47524483af1698c3efdfaafe61e987624c5ce01939494861413b271e9a96f49abbbe69d634b9be55c95 SHA512 8e04c0c90255038471de6ef0f8f4ed9e356d646b028bb16f667f3c59170eddaa0d86d48226462c5c17b8123b2a28a09982764979e9e76658b4e26cd0a976f3a1
DIST numpy-user-1.23.3.pdf 4123384 BLAKE2B d4587c9f979e1ef4734768598d6e106f2b4b0c8222f901a6c4caf0920e41622201252c5bd172b16346e0357138b5ff27c59e56c851be5ae3b7712624bd9cc5b4 SHA512 58e1ab96d2cfbd96df205c86f0a1a09e204349f70d21df7f8481c21ded8b46f4b9ede3216d5cce6c2b9bfc0aacbecdfa198bdb2d4c258a0dd4acb6e3ba421f9c
DIST numpy-user-1.23.4.pdf 4123384 BLAKE2B d4587c9f979e1ef4734768598d6e106f2b4b0c8222f901a6c4caf0920e41622201252c5bd172b16346e0357138b5ff27c59e56c851be5ae3b7712624bd9cc5b4 SHA512 58e1ab96d2cfbd96df205c86f0a1a09e204349f70d21df7f8481c21ded8b46f4b9ede3216d5cce6c2b9bfc0aacbecdfa198bdb2d4c258a0dd4acb6e3ba421f9c
+DIST numpy-user-1.23.5.pdf 4123384 BLAKE2B d4587c9f979e1ef4734768598d6e106f2b4b0c8222f901a6c4caf0920e41622201252c5bd172b16346e0357138b5ff27c59e56c851be5ae3b7712624bd9cc5b4 SHA512 58e1ab96d2cfbd96df205c86f0a1a09e204349f70d21df7f8481c21ded8b46f4b9ede3216d5cce6c2b9bfc0aacbecdfa198bdb2d4c258a0dd4acb6e3ba421f9c
EBUILD numpy-1.22.4.ebuild 5017 BLAKE2B f96fc50d46976f644412066a0ca32f3f6cbe68e3af54076bd9567a827d2929cc5789483c54656f51cee2f3153f28382a3901ad0a79ddaef84e552be2ebe8e961 SHA512 368980e6e319284d242669515c225766c56805f95d53ee259b0e88b394132a9d1b0fdaa58c0577c5e12a9282755ce39701f6a8d463792d7a5cc0dd3d3340c6c6
EBUILD numpy-1.23.3.ebuild 4896 BLAKE2B cb89f6fd839ea412a25830cc3c94f5b3faa6fc7b2db52ef9d7e5852ccd1825774e1d9df8de918bb0113877bc4a3d8acf56de5c74073db54ef9a7914e550fa61e SHA512 634586d63cdd62f6286a54109b2ca1e699668e8698ca4e21ee9e6726b2f46f2b47304036d3c87177b415c5657a0385792aef0c6a53da81364b9ca6a25a5af520
EBUILD numpy-1.23.4.ebuild 4897 BLAKE2B 3f362d6b9119dd346e05f629f164b9d7ff02803581a36ef4f5beedd98bff322b55f04a29d2492ceacff7b858966d56d1518b2d8a3bb64fd1de18e8560515f31e SHA512 e8e96b1cba1ecfc2c3aabaf656693d2993168fbc9d1933e5c168792218ef96bb2f0daadd7863a74319665dc3b873ba2dffbf205301b8aec33856c503c9e4bca2
+EBUILD numpy-1.23.5.ebuild 4904 BLAKE2B dc24a0d2a22d985086a49bdaf0333cdae749fa6ea344252636eb0279dfb6a706cf9574cff1529b64918bc99b0bf0184f76fad4228aa25df22c34dae8ac328a73 SHA512 c4771518334b27985b86b1fc41d322e4523b8a35309052a07a506400b1355e48abe88667550dd69e8c0e6fb9d6481eb1c24cd6edd1aa08b603dc1bd433de087e
MISC metadata.xml 932 BLAKE2B 7a4af31f613bab05ff542da48bf6ff1484d9df2459f559516e71329451dd739d3df0fead507c8033d94ab9ed516b68efe7f21819a8cd6ca303643d8c8bc34e86 SHA512 32cb8c1ab61521a02cbec38f6ea383f074e50d46aa3462ddcb85710f9d348e8e628cf2a5725e3cd921cc32f02885a1b5f02125639f0ec885384eeeff7f468a06
diff --git a/dev-python/numpy/numpy-1.23.5.ebuild b/dev-python/numpy/numpy-1.23.5.ebuild
new file mode 100644
index 000000000000..18d0a7787bc5
--- /dev/null
+++ b/dev-python/numpy/numpy-1.23.5.ebuild
@@ -0,0 +1,187 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
+
+DOC_PV=${PV}
+# For when docs aren't ready yet, set to last version
+#DOC_PV=1.23.0
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
+ )
+"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-python/cython-0.29.30[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ doc? (
+ app-arch/unzip
+ )
+ test? (
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/numpy-1.22.0-no-hardcode-blasv2.patch
+)
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_prepare_all() {
+ # Allow use with setuptools 60.x
+ # See numpy-1.22.1-revert-setuptools-upper-bound.patch for details
+ export SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ if use lapack; then
+ local incdir="${EPREFIX}"/usr/include
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = ${incdir}
+ library_dirs = ${libdir}
+ blas_libs = cblas,blas
+ [lapack]
+ library_dirs = ${libdir}
+ lapack_libs = lapack
+ EOF
+ else
+ export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+ fi
+
+ export CC="$(tc-getCC) ${CFLAGS}"
+
+ append-flags -fno-strict-aliasing
+
+ # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+ # with the subtle difference that we don't want to break Darwin where
+ # -shared is not a valid linker argument
+ if [[ ${CHOST} != *-darwin* ]]; then
+ append-ldflags -shared
+ fi
+
+ # only one fortran to link with:
+ # linking with cblas and lapack library will force
+ # autodetecting and linking to all available fortran compilers
+ append-fflags -fPIC
+ if use lapack; then
+ NUMPY_FCONFIG="config_fc --noopt --noarch"
+ # workaround bug 335908
+ [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
+ fi
+
+ # don't version f2py, we will handle it.
+ sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ export MAKEOPTS=-j1 #660754
+
+ distutils-r1_python_compile ${NUMPY_FCONFIG}
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # very disk- and memory-hungry
+ numpy/lib/tests/test_io.py::test_large_zip
+
+ # precision problems
+ numpy/core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ # runs the whole test suite recursively, that's just crazy
+ numpy/core/tests/test_mem_policy.py::test_new_policy
+
+ # very slow, unlikely to be practically useful
+ numpy/typing/tests/test_typing.py
+ )
+
+ if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
+ # Degenerate case. arm32 chroot on arm64.
+ # bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ if use x86 ; then
+ EPYTEST_DESELECT+=(
+ # https://github.com/numpy/numpy/issues/18388
+ numpy/core/tests/test_umath.py::TestRemainder::test_float_remainder_overflow
+ # https://github.com/numpy/numpy/issues/18387
+ numpy/random/tests/test_generator_mt19937.py::TestRandomDist::test_pareto
+ # more precision problems
+ numpy/core/tests/test_einsum.py::TestEinsum::test_einsum_sums_int16
+ )
+ fi
+ if use arm || use x86 ; then
+ EPYTEST_DESELECT+=(
+ # too large for 32-bit platforms
+ numpy/core/tests/test_ufunc.py::TestUfunc::test_identityless_reduction_huge_array
+ )
+ fi
+
+ distutils_install_for_testing --single-version-externally-managed \
+ --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
+
+ cd "${TEST_DIR}/lib" || die
+ epytest -k "not _fuzz"
+}
+
+python_install() {
+ # https://github.com/numpy/numpy/issues/16005
+ local mydistutilsargs=( build_src )
+ distutils-r1_python_install ${NUMPY_FCONFIG}
+ python_optimize
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+
+ if use doc; then
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index ce7dcc21dbac..b401782cace1 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1,3 +1,5 @@
DIST pycairo-1.21.0.tar.gz 340712 BLAKE2B 6578c75b478c14c641b5c0be44c3c633d32ecc09c4ef22a079024dd12b539d37f88efa6ce8aadb5a88a48b3cc793e573afe00eaa4e3ba563c3133cad72dacfe4 SHA512 0de226b05d0a358f3546e4a0d5bf342f124373718d4900c891a09c1ede11e3ed1fb9bee163c00acfc215044683ddf0b29c8573b7454f9c39f957a47d63c34baf
+DIST pycairo-1.22.0.tar.gz 342295 BLAKE2B b331a627aea3b5fabaf9bbc089b5bb975178ea3be6383207ebefa994900dd73ff503309474729c9ce7b69e41c6495dd83a0db0d51410bea9aa37b30975e39700 SHA512 2a8da5b905536291291655a237fd0c6c54a5fe91a38296cffdc187c0c35837bd3176045f4ab39e59e7f67947deba7ba076c5e6ffdb46256b4b180c42267f41b6
EBUILD pycairo-1.21.0-r1.ebuild 1122 BLAKE2B 088bb708641ab60be2133d13057bce3155dc8fa78a61cb0913f70a4a3dd638a31c73368915f076ac12f9f1062d15bae499aeb1447a711f3158a52f489ddb9353 SHA512 3f88ee9496d7b8036ce20e84a0c955e2c92d032f8c7c18c131bc95ab9cdaa0f0edbf8cc682e45824562537c00670b2ddff21858842234572861e36fa44c6ce15
+EBUILD pycairo-1.22.0.ebuild 1184 BLAKE2B 39fd40fe16b66a55bffa0604c20df3ffa5bfb6386c22d2a2988571774d3e2669b0bdc509c299cb40784a3d2d7373dd8905b959b8f0b4fd6b3f1016c053862792 SHA512 6953dc63b7f06b72612cdc0f93f7440ce42387b336cc91ff68b08db169a70979c259d0a720d67e452060a0b76344a0208ae01bf3de60ab139a0c2f37a60ba257
MISC metadata.xml 311 BLAKE2B 5d0e83f55c7abf1be229cb2d1595e8bc0fe0d1099363302c3f4dd721bf8a8c7981adfeea44fc2cb480b12afd9a440ebedf7e582a0ac4a53f9a8c8b2064947623 SHA512 ee62848f97608aad7cff520822a88d8bc2a182456eb251405a4043bf2d8097f89e085a978bfac96db17d2fe69b24c6b26ba803783b73c0532897c27e93149645
diff --git a/dev-python/pycairo/pycairo-1.22.0.ebuild b/dev-python/pycairo/pycairo-1.22.0.ebuild
new file mode 100644
index 000000000000..2c8700960b25
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.22.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="
+ https://www.cairographics.org/pycairo/
+ https://github.com/pygobject/pycairo/
+ https://pypi.org/project/pycairo/
+"
+SRC_URI="
+ https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
+"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.15.10[svg(+)]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_test() {
+ esetup.py build_tests
+ epytest
+}
+
+python_install() {
+ distutils-r1_python_install \
+ install_pkgconfig --pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index dbf28bb731e7..1dc686537658 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,5 @@
DIST pylint-2.15.5.gh.tar.gz 1312932 BLAKE2B b8de4e16122ba0bea4cfd9ce3ec4a12abf5e408d7f9d60875eaac781a962c0d01af7691b3c110f2b895bcb7c2d47e0f868d5d52171594aaaecb53ea045a179b9 SHA512 a6e123ab516ef12be0651dbe144814d9f3f9263d61c259d79e9505ee3b4011b33e302281067aa5bacd504fa079f3a7aaceee4d1f9aad127bec8ebeddfeb2afbe
+DIST pylint-2.15.6.gh.tar.gz 1314945 BLAKE2B c084f419dbefb3346e75af204e576fb4b720f15f865ed8ab3e7bbd017edc3ad78c5c2f28ca26600bc40a79d8bcffc20bcde51144257374c8fbd8c63580d85192 SHA512 6e44c288dd243cb1cd8faec645edc9a60fa3fe852f189d2527c4382a415f16b612808f9d15072f5e22c4106a4ecc2f5746bea898ac76c9481a4d1eb8b30fd778
EBUILD pylint-2.15.5.ebuild 2464 BLAKE2B 2bf3f42db574d61e67fa83910df8af134b4f8b32b831d0f521ef624009ebbef8308bed9acdaaaab02b5720412a1e618facf52e7bec3611eb71f5084ce382abfa SHA512 268783cbec0e35d9919a33e8b60fc4403b256b068eb2f2e124608ef3bcada544317daa16b99e43e628bb302c0e95400999b4e29e6e985b9782a473e577d3ccfc
+EBUILD pylint-2.15.6.ebuild 2472 BLAKE2B 19016922b61bf37c353823a2b08c3805b83d640c570a528fc3b41681d2aa4eb1f12b488092c241fded6fcfc050bbff82d9f805f5e6cd628f8aae76b4d67c71b5 SHA512 7108609cb88793acada884eb5ebebba6080d3afbf230887935c0b09e5a7d78b6cbf38a9b812161f7afee12aa9f54d3e5a89d0c65d4f081a8801c5b1177831761
MISC metadata.xml 1100 BLAKE2B 97ec6bd2f6cf487afb93136e9ee58d0d5f8ad37e2ded456ed4f196e73fd37cddead2462d3592b44ca1a6c3722b1f194905238299f0c066945d1e22bdb18acc9b SHA512 0418d987879446fd76fe9b7fc4ee8b1c3c0d9bbab1d1fc3eb66eada0bc52f6b6480cf9852dc3a18b1915d2093642b9c87f24207e89b34d3e48c29a282a3ba979
diff --git a/dev-python/pylint/pylint-2.15.6.ebuild b/dev-python/pylint/pylint-2.15.6.ebuild
new file mode 100644
index 000000000000..09a9e2a10b7b
--- /dev/null
+++ b/dev-python/pylint/pylint-2.15.6.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ https://pypi.org/project/pylint/
+ https://github.com/PyCQA/pylint/
+"
+SRC_URI="
+ https://github.com/pycqa/pylint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check https://github.com/PyCQA/pylint/blob/main/pyproject.toml#L34 on bumps
+# Adjust dep bounds!
+RDEPEND="
+ <dev-python/astroid-2.14[${PYTHON_USEDEP}]
+ >=dev-python/astroid-2.12.12[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.2[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf pylint || die
+
+ local EPYTEST_DESELECT=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+
+ # TODO
+ 'tests/test_functional.py::test_functional[forgotten_debug_statement_py37]'
+ 'tests/test_functional.py::test_functional[dataclass_with_field]'
+ 'tests/test_functional.py::test_functional[no_name_in_module]'
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_error_msg
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_info_msg
+ tests/config/pylint_config/test_run_pylint_config.py::test_invocation_of_pylint_config
+
+ # apparently fragile, needs unpickleable plugin
+ tests/test_check_parallel.py::TestCheckParallelFramework::test_linter_with_unpickleable_plugins_is_pickleable
+ )
+ epytest
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index 80da7a59867c..cc41fcacc3c6 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1,3 +1,5 @@
DIST python-debian_0.1.48.tar.xz 189096 BLAKE2B 3b273f1e90069e00a93aeb9c2333d20d479b057613c93325344f42a73230bd569160a487a25d1c7f90f7f00f42feeab55c9850cf44121e1ca423cd1f40a991a4 SHA512 85bd12ce8ade9b43d502bd60ac1ac826d9a81b5bf32262ff9377b4ba5a1c95306683098d10a64fd6a1331ed7eb44a7fb09ad90f0ee6c885d69ea16f85c4eda59
+DIST python-debian_0.1.49.tar.xz 191388 BLAKE2B 590e6f7877684caaa5a74f06d335bcf7808960968209cf18bb2cec7e81f33a3b0ff458bbe30264ae5fc015de9357dddb1522b5fd93bf33d0a7fabef1b7dd98f9 SHA512 201ceecdd8c1d3dc0cca0f661407bcfb825a1cba07c528858cc1123ab16afe0df50e338c8cd82ea24230812a9cc136220bd4f0dccbac19ad53efe48eaa25cf6f
EBUILD python-debian-0.1.48.ebuild 963 BLAKE2B 71e8142ac149f35932ed279d9710442fff2b8a142274ca2b7b223af745e091a3cb9bbac14ce90694990b4ab036ef8156b5a422d57bce5a0aa30914ae0ed24c8c SHA512 3d2a3f4c197a54f1bef45d9efc312dc8203d409707a275551f8b69a4d9af03f891c8f9b1f422df49e18bb29e6a9a149f9c9d2aeabce88b2665c265d4ab6cb31b
+EBUILD python-debian-0.1.49.ebuild 980 BLAKE2B 94724555a2b363247740be1555991694c56a4be10babe0c9cf3200180f453b1299888d2df67cdfa4459a3764479d71d7302ff4bcb8328ecd840110c1d15992be SHA512 8bb876e645a799faf441700b9f4c37aa2bf25c6e36724dfd14bcd7c3fe2c8e7dfd182dbb302a5ab45d6f3becc65be471282459ba82c79a4c539b7af73dbf6715
MISC metadata.xml 448 BLAKE2B bccb39bdfb24e81bc05028fc92033468f5256be096cb409b4413f69444d59d3d9a3469047337a7fec79ac707ddf4d269b44b20c725f7fc4935bd10335e1f9374 SHA512 8e3fb6ca4bf305e23a51ff56cf84648aad1e96d36aa7a4fb138f7136ea77a6a76a8985557ecb1c9da962479c8c9e36c253655d6e6602c1833f2a2230b44540aa
diff --git a/dev-python/python-debian/python-debian-0.1.49.ebuild b/dev-python/python-debian/python-debian-0.1.49.ebuild
new file mode 100644
index 000000000000..b1cc03134cca
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.49.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="
+ https://salsa.debian.org/python-debian-team/python-debian/
+ https://pypi.org/project/python-debian/
+"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ app-arch/dpkg
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # See debian/rules.
+ sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in \
+ > lib/debian/_version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # See debian/rules.
+ "${EPYTHON}" lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ epytest --doctest-modules lib
+}
diff --git a/dev-python/pytools/Manifest b/dev-python/pytools/Manifest
index d7d2c1b1b1a6..213804f01858 100644
--- a/dev-python/pytools/Manifest
+++ b/dev-python/pytools/Manifest
@@ -1,3 +1,5 @@
DIST pytools-2022.1.12.tar.gz 70346 BLAKE2B 6f3fc1b55185e0ea7e680a089d66c7f64b9d3312ebf02c3fdba776f49d6156ccb83f5eef9139f1c6f9e17448f102c38661c2cd07e33277923f9379a017e72194 SHA512 66a4a60b26ee543a774322583a22105f5e886cb86956b4edb95ae361a5aa6cff28b1bcf6ad84b9e2f68c81bb11f5a18bd2e8d0335343550a6e9bca4cb0e9c0e8
+DIST pytools-2022.1.13.tar.gz 71650 BLAKE2B d12a1081ae2dd063ff4bf04a8e364dc35730b89a1e937ff9a470d2c3a9a1f53f5eaa5eb328831f659f1db1f4e03d2522ad8a4126da67cc5b4ef3798589b4a309 SHA512 305c78659b2a32a3d64dbecd4ca2f860554690ec74455c3dfaf3c5434a3e37dfa9dd733d2e5a14736ef5a09bb2c923e7eedde6851e99472f87c849d005fd2e78
EBUILD pytools-2022.1.12.ebuild 872 BLAKE2B 14f780554979838b3ce1f717836d6a6af0a19cf55ff9fac3925a5578e27526ff2daa78da64fd240d0cef9d483722045d03f6d32091aa2fa95d1f303762fc64aa SHA512 bf8bd973a4c88c160ac44f0069a166ff02f7e6a7509d2d0ac70f03f8593d03394af68a987e784d80001c4f70e6886632b00a08108e5e9c99db270d62422d678a
+EBUILD pytools-2022.1.13.ebuild 873 BLAKE2B 1c5166a57cf372cfc829a6ac48d9a8bd82d01d3d070102de3684f9c8704e153ed8170dd6484426041cdb8b9233b48415ca2a85efa99fb857d7a5bf0aabccb3ef SHA512 706aabb92944ff2201ba02423cd9e2a704607cb7ce797d26a8a11b683689eb77b60dfd0e538b0b49aa88eb79f3cb805621d8aa7101182c2bf2acb5ee39a3a310
MISC metadata.xml 496 BLAKE2B d0067ed5726907ed3d635fc88dc33722335e7c853ee4a5a1c727faecdf6a78ab7de4261fe40c5c903908e1f2b8eb597ff3c014044fc7ea02bc357254d544da64 SHA512 c6b546564e9c54bccc55f83310ff194192be0673bfe552e18e29a82e87d2caf4c0d51e42d1675cf5b8f6dff1fa1410676f71c9c0c56273ba6efc4efc608c43d9
diff --git a/dev-python/pytools/pytools-2022.1.13.ebuild b/dev-python/pytools/pytools-2022.1.13.ebuild
new file mode 100644
index 000000000000..48afcbc4cb49
--- /dev/null
+++ b/dev-python/pytools/pytools-2022.1.13.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE='sqlite'
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of tools missing from the Python standard library"
+HOMEPAGE="
+ https://mathema.tician.de/software/pytools/
+ https://github.com/inducer/pytools/
+ https://pypi.org/project/pytools/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+# NB: numpy is now an "extra" (optional) dep -- we can remove it from
+# RDEPEND If revdeps don't need it
+RDEPEND="
+ >=dev-python/numpy-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/rpyc/Manifest b/dev-python/rpyc/Manifest
index 164571e92b6a..d27057b7fa77 100644
--- a/dev-python/rpyc/Manifest
+++ b/dev-python/rpyc/Manifest
@@ -1,3 +1,5 @@
DIST rpyc-5.2.3.tar.gz 1267934 BLAKE2B 3c03d587293375f875de31d6a89ba07b47bd4f4ff9fd5c7b23ed0c83e420e9d2bab08844c3538299797203ac90e7e81b955db02de70bf1cee5ea59d8475a6848 SHA512 4be189a719be100886e08d9c2c0769d12b7d1c5e167c197ebee1a3db542e228f2124fea976e5af3680136b298ce4632c79b2f302128dff31ebf45dcf52a9743f
+DIST rpyc-5.2.3_p1.tar.gz 1269198 BLAKE2B 288568fcd34787850968d4e3fd9ca7c2d29e506f1331b746104760e678dfef43fd30b08f68b3bdda6df84d488f88dc76cfdd23d5a5ad0a4cefeab468ac6a1b0b SHA512 4b29899a51364779185d2b56f5d5ee4c650c40b8322e5594500222fdcec85414cdbabd41437467e2ff73124a79e8c9cde23dfe89138abb935732ccaba69de2bb
EBUILD rpyc-5.2.3-r3.ebuild 2089 BLAKE2B 3d33a3520dca7ef1bbdfb477548e943ef76aee15bc8bf0f9e713d7108875e46d6ee5d9bb9d4610934a869a441a67a320889d0131c032351a9e963a077294640b SHA512 ada7525c16934719dd52ee96bce609d2831883a55bc544be8fe7ff341322a4ae21601e696c3ef5e8b4cac3468e9903e7b9155b1223b68c32dfce5f5c7d6aa8b0
+EBUILD rpyc-5.2.3_p1.ebuild 1936 BLAKE2B c79f627bc722b32027051cf245ed9263c5d53271e95f2f5c751b16bd8992cd617f35722e77ca06df5b72cee0c91c730f2e2d21623422729c42859ce53ee010a4 SHA512 6bffe86a512bb8bda622e1f7ef04cabc1d44f865a9fb8bc00f4259e85e985236f8f733c98870b93e348286a62a0a3b31c8b337870c0e48a3907c727b87cf89b7
MISC metadata.xml 736 BLAKE2B d6f6d76b5118e6f8aef119b975572ba95875f89bc2a4b2bb072e1b1ccccfb4593845e16ea0c62a4436ce419a3792b89b7a995c36a2ce979cf85db0dbd5f6754f SHA512 7714c32ffeb31611fe41d2ec674b774fdd46b137a90bb52245b1dcc229f2577739d33d61788ec123cce0c4dec3da49a19fdcc4eb307ea3af26ae8c4195bb0d93
diff --git a/dev-python/rpyc/rpyc-5.2.3_p1.ebuild b/dev-python/rpyc/rpyc-5.2.3_p1.ebuild
new file mode 100644
index 000000000000..31fe074b28ed
--- /dev/null
+++ b/dev-python/rpyc/rpyc-5.2.3_p1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Remote Python Call (RPyC), a transparent and symmetric RPC library"
+HOMEPAGE="https://rpyc.readthedocs.io/en/latest/
+ https://pypi.org/project/rpyc/
+ https://github.com/tomerfiliba-org/rpyc"
+SRC_URI="https://dev.gentoo.org/~grozin/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# USE flags gdb, numpy are used *only* to run tests depending on these packages
+IUSE="test numpy gdb"
+RESTRICT="!test? ( test )"
+
+CDEPEND="numpy? ( dev-python/numpy[${PYTHON_USEDEP}] dev-python/pandas[${PYTHON_USEDEP}] )
+ gdb? ( sys-devel/gdb )"
+
+DEPEND="${CDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RDEPEND="${CDEPEND}
+ dev-python/plumbum[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ default
+
+ # Windows specific test
+ rm tests/test_win32pipes.py || die "rm tests/test_win32pipes.py failed"
+
+ # These tests require running sshd
+ rm tests/test_ssh.py tests/test_deploy.py || die "rm test_ssh.py test_deploy.py failed"
+
+ # This test requires internet access
+ rm tests/test_registry.py || die "rm test_registry.py failed"
+
+ # This test fails with NO_CIPHERS_AVAILABLE
+ rm tests/test_ssl.py || die "rm test_ssl.py failed"
+
+ # dev-python/gevent is being removed
+ rm tests/test_gevent_server.py || die "rm test_gevent_server.py failed"
+
+ if ! use numpy
+ then rm tests/test_service_pickle.py || die "rm test_service_pickle.py failed"
+ fi
+
+ if ! use gdb
+ then rm tests/test_gdb.py || die "rm test_gdb.py failed"
+ fi
+}
+
+python_test() {
+ # for some reason, when tests are run via pytest or nose, some of them hung
+ pushd tests > /dev/null || die "pushd tests failed"
+ for x in test_*.py
+ do PYTHONPATH="${WORKDIR}"/${P}-${EPYTHON/./_}/install/usr/lib/${EPYTHON}/site-packages ${EPYTHON} ${x} || die "${x} failed"
+ done
+ popd > /dev/null
+}
diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 5d6e1a9e3cc7..e4dda883174e 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,3 +1,5 @@
DIST tempora-5.0.2.tar.gz 19530 BLAKE2B 9c07fc294ef77d9a12276578ffdde39ef58508075deb98c0a89d6179bc7c9cbb7633d20077801a1d99d5c016c72206f508e5d7cd6af5667704b025ffccabe552 SHA512 d0fe086b92e21622444b941c583e3432420b1826e60aa4b90bab31907a98b4989dd21ca99b5554e965f87e23c9d65d9bce8e434d801985f99f187b7dad2a715a
+DIST tempora-5.1.0.tar.gz 20402 BLAKE2B 8dcb70dd1491228c9f7daeda40a07e07236fa4f4aa8ad76ecb9514b922732468cbf4360726421420ce8478bba2287815a1473c5231afae82bda222a7401478e2 SHA512 33b48884c024f82e3220c2cc28a307bbb3c813a895df82640b5627266355c78cced3e5ab61df9b0619bf9697e18d70390939189ba31dd57c58fbb3e97b5db216
EBUILD tempora-5.0.2.ebuild 840 BLAKE2B 3453d847b91ca395c060ab8291edaf66823c06a77356e7ba3caa12c7a0d2de2e7bdec7805664bf7784ba29138daa810b201a585c0e385849e1edad1ac7914e20 SHA512 1b3e9e60e79b6eed2361ffaeba4dd44197b97e455ebd6e3de98285bcc0079643474f7bef7ee1a8f587789512d46ce154c2746a07d825337d057a8070836ca0a9
+EBUILD tempora-5.1.0.ebuild 848 BLAKE2B 1f6ae881615d62931ccbf8be3f289ac07364fddbb6720bda37d1f6bd8d2695c86985648ecdf2a2c9837beded9d1a8db1ef2b959438677ee686a6c5cb99c20b6b SHA512 7fcc75fcab38246d9888a319a34df6ecd3bd4b9f45ad759fc726898b8a0018df3eb40855714808ed554d9c052536015a3aec827beff4ab5003b57cdcd2fdec64
MISC metadata.xml 640 BLAKE2B 322432e820c99b65ad749062afc4536889b21fc7d1dd4fd2dd4d4caec382a90d98db38be3ead24136f8a3049b2d68120be72799361a30a6f788facdbdb4706e7 SHA512 4123ddc1643539c3152c6200860ff19f69164aa22c2f040617e9933d2b75737e8e96b9b617341156a8bbcfee579d40e1f17edf56a2759a06646987dce676c238
diff --git a/dev-python/tempora/tempora-5.1.0.ebuild b/dev-python/tempora/tempora-5.1.0.ebuild
new file mode 100644
index 000000000000..e32d2ca05b4c
--- /dev/null
+++ b/dev-python/tempora/tempora-5.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="https://github.com/jaraco/tempora"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/terminaltables/Manifest b/dev-python/terminaltables/Manifest
index a5982d721b55..10ab9706c15f 100644
--- a/dev-python/terminaltables/Manifest
+++ b/dev-python/terminaltables/Manifest
@@ -1,5 +1,5 @@
AUX terminaltables-3.1.0-stdout.patch 789 BLAKE2B 2c9f166d4e303cc55bf2d6b9b0e1f9d947cd10a1a173abc5657b9dedfd637da05e374fdc9e997f9e758be9caa90f3a984032eade15e816de594d65268bb013ad SHA512 f6eb3ea11a7027886457dd720b0736fc11611d233b7971456141476a6b1d83fb0be33e14c5789a626da1ca0f0f2ca75983f496bc68660aa66d7f285a3c2be684
DIST terminaltables-3.1.10.tar.gz 282122 BLAKE2B 53d5ecde38370f5b05d3eaae4b618ada6991214feadc7e826467dafede5baaf8292e47e6b2be903eb8ae6d46e3066314fe7950d7330056cd3053e0d643ad1a9e SHA512 84fa403cee4206b6b19de0206d89535bd2965a0796e1890dd9b0a9c6593c5f41d0d24b88ee9db426067c777712a4e810d67d4d0246496239a7a96b53a24e8174
-EBUILD terminaltables-3.1.10-r1.ebuild 867 BLAKE2B 9b25121c1850d3f91d11828db0173773ce6b0f6456fe866f1038e3e502061540633af0929bbda23d9cc2e21db89e4a2eb4c57e0fe85cca6dbdabdcd7cb695465 SHA512 cca079f30896117840efa89ec9cb1b7a9f26b0370e4e3b2cdc7d0246f16c73d5968ac2921e556f0246d46fb6a89d40c7dd51ec278bd81889dc93b7821388196d
-EBUILD terminaltables-9999.ebuild 763 BLAKE2B f5de6a875bee6e40cb126fdd42373f55d848a74913266327eff4a3b92fe3f778df6673bcfee4fa4640bf9f7c4931e6fa369ab7fbfb6cdcf4d6ba2ace87e10897 SHA512 f64f1009da77c261374bfe39d93d9a6e118523d79aa2cefa7f3c9e256e3c6c788e3666b8cabd2072647e8c718fb9de8ff0829285f4ea04df9faa671d931147d8
+EBUILD terminaltables-3.1.10-r1.ebuild 1027 BLAKE2B dc29922cad90b734ad2b38387c954e38d944caaf1bb55e7f6957e3a2501f066c35c1b915833da6f7f6b17953d0275679d28e196f706d4d5416505c9e8859423f SHA512 b4191009ccc71727428cb759a106eca6e6231cb36f89b2558784d978f628ea6f00d389dcf69fe7122f360bc2c2dec2f47d24ebf05cee0a19260bb41f3eb21abb
+EBUILD terminaltables-9999.ebuild 923 BLAKE2B 3044320c35419a7f19ee685bc904076e83ab6821ca88bc89b200d17ec035a6852bc50c78cedbbde2b8b84387addb5297554ab523e3d3afef5987c4572c2a184a SHA512 438e03a591c477e1ee9ac85dc3e26a7f761e75b0e5b091e8e2bef9d446cc92824c937a30639aed20d6e6cc39ea985d1adec268d91eeb35f25aeb369402d9c0ba
MISC metadata.xml 499 BLAKE2B c69faec6e90ce8d085d4ab222b09bbf69ff55415e8a596ec9a940191a5df96cfbc7ac0c2ce087c4d1c8199941c844a4e28ad4783bd9a8c106edb75537f781db9 SHA512 71bf75a76067bed905cd34d1f0eeae629a2362b8cfa33b54f06b228314274467795f8e1a34a7adb02d54d7976635a420dcd40ea6e1b6dc6f256b4179af7eb76d
diff --git a/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild b/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild
index b08a653b797d..2e78fc2ba3c7 100644
--- a/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild
+++ b/dev-python/terminaltables/terminaltables-3.1.10-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1
@@ -38,3 +38,10 @@ src_prepare() {
distutils-r1_src_prepare
}
+
+python_test() {
+ # We override FORCE_COLOR otherwise termcolor
+ # would pick it up from env. and give unexpected
+ # output for tests.
+ FORCE_COLOR=1 epytest
+}
diff --git a/dev-python/terminaltables/terminaltables-9999.ebuild b/dev-python/terminaltables/terminaltables-9999.ebuild
index c5cb790fdd38..5b904f1c7220 100644
--- a/dev-python/terminaltables/terminaltables-9999.ebuild
+++ b/dev-python/terminaltables/terminaltables-9999.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1 git-r3
@@ -32,3 +32,10 @@ src_prepare() {
distutils-r1_src_prepare
}
+
+python_test() {
+ # We override FORCE_COLOR otherwise termcolor
+ # would pick it up from env. and give unexpected
+ # output for tests.
+ FORCE_COLOR=1 epytest
+}